Subject: Re: Submodule UX overhaul update (was: What's cooking in git.git (Jan 2022, #07; Mon, 24))

From: Emily Shaffer <[email-masked]>
Date: Wed, 26 Jan 2022 09:43:30 -0800

On Wed, Jan 26, 2022 at 10:05:38PM +0530, Atharva Raykar wrote:
> 
> On Wed, Jan 26, 2022 at 2:02 PM Emily Shaffer <[email-masked]> wrote:
> >
> > Finally finding the time to write up another "what's cooking as pertain
> > to overhauling submodules UX" reply.
> >
> > [...]
> > >  Rewrite of "git submodule update" in C.
> > >
> > >  Expecting a reroll?
> > >  cf. <[email-masked]>
> > >  source: <[email-masked]>
> >
> > Sounds like Glen is interested in this series with regard to some edge
> > cases about cloning newly added submodules during a 'git fetch
> > --recurse-submodules'. I'm curious to hear from Atharva about the status
> > of this work :)
> 
> Hi!
> I'll preface by saying that I haven't had the time to keep this up to date
> with the other submodule developments.
> 
> My recollection was that this series had some small conflicts with
> es/superproject-aware-submodules. The last thing I had done was to
> rebase this on top of es/superproject-aware-submodules [0] and try to
> fix those conflicts. I had not rerolled that branch as a patch series yet,
> because I had thought that superproject-aware-submodules was still
> in flux.

Thanks! That makes sense. Oof. :(

> 
> I won't be able to actively work on this in the near future. Feel free to
> pick this up in case this patch is a blocker for yours or Glen's work.

Thanks for the update - that helps!

 - Emily

> 
> [0] https://github.com/tfidfwastaken/git/commits/submodule-update-on-es-superproject-aware